Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions(), NonPersistent(), NavigationItem(False), CreatableItem(False)> _
<Appearance("Disable OpeneObject - SetHRPersonToCostHolderHRPerson", AppearanceItemType.Action, "1=1", TargetItems:="OpenObject", visibility:=Editors.ViewItemVisibility.Hide)> _
Public Class SetHRPersonToCostHolderHRPerson
    Inherits BaseObject

    Private _MasterKey As Guid
    Private _HRPerson As HRPerson
    Private _WorkPercent As Double
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub
    <Browsable(False)> _
    Property MasterKey As Guid
        Get
            Return _MasterKey
        End Get
        Set(value As Guid)
            SetPropertyValue("MasterKey", _MasterKey, value)
        End Set
    End Property
    Property HRPerson As HRPerson
        Get
            Return _HRPerson
        End Get
        Set(value As HRPerson)
            SetPropertyValue("HRPerson", _HRPerson, value)
        End Set
    End Property
    Property WorkPercent As Double
        Get
            Return _WorkPercent
        End Get
        Set(value As Double)
            SetPropertyValue("WorkPercent", _WorkPercent, value)
        End Set
    End Property

End Class
